
from netgen.csg import *

geo = CSGeometry()

pl1 = Plane(Pnt(0,0,0),Vec(-1,0,0))
pl2 = Plane(Pnt(0,0,0),Vec(0,-1,0))
pl3 = Plane(Pnt(3000,3000,0), Vec(1,0,0))
pl4 = Plane(Pnt(3000,3000,0), Vec(0,1,0))
pl5 = Plane(Pnt(0,0,0),Vec(0,0,-1))
pl6 = Plane(Pnt(0,0,0.1),Vec(0,0,1))
brick = pl1 * pl2 * pl3 * pl4 * pl5 * pl6
geo.SetBoundingBox(Pnt(-3100,-3100,-0.1),Pnt(3100,3100,0.2))

geo.Add(brick)
geo.CloseSurfaces(pl5,pl6,[0.5])
from ngsolve import *
import netgen.meshing as meshing

geo.Draw()

mesh = geo.GenerateMesh(maxh=500)
ZRefinement(mesh,geo)
Draw(Mesh(mesh))
